@import '../../variables/variables';
@import '../../variables/mixins';
/* pulse */
@keyframes pulse {
    from {
        transform: scale3d(1, 1, 1);
    }

    50% {
        transform: scale3d(1.05, 1.05, 1.05);
    }

    to {
        transform: scale3d(1, 1, 1);
    }
}

@-webkit-keyframes pulse {
    from {
        transform: scale3d(1, 1, 1);
    }

    50% {
        transform: scale3d(1.05, 1.05, 1.05);
    }

    to {
        transform: scale3d(1, 1, 1);
    }
}

@-moz-keyframes pulse {
    from {
        transform: scale3d(1, 1, 1);
    }

    50% {
        transform: scale3d(1.05, 1.05, 1.05);
    }

    to {
        transform: scale3d(1, 1, 1);
    }
}
/* End pulse */
/*#region giftcard-page*/
#gifcard-page {
    background: #f7f7f7;
    padding-bottom: 100px;

    .text-background {
        -webkit-animation: pulse 2.5s ease infinite;
        animation: pulse 1s infinite ease-in-out;
    }

    .process-container {
        background: $white;
        position: relative;
        border-radius: 10px;

        .processbar {
            width: 890px;
            display: -webkit-box;
            display: -webkit-flex;
            display: -ms-flexbox;
            display: flex;
            -webkit-box-orient: horizontal;
            -webkit-box-direction: normal;
            -webkit-flex-direction: row;
            -ms-flex-direction: row;
            flex-direction: row;
            -webkit-flex-wrap: wrap;
            -ms-flex-wrap: wrap;
            flex-wrap: wrap;
            -webkit-box-orient: horizontal;
            -webkit-box-direction: normal;
            -webkit-flex-flow: row wrap;
            -ms-flex-flow: row wrap;
            flex-flow: row wrap;
            -ms-flex-pack: distribute;
            position: absolute;
            top: -75px;
            left: 50%;
            transform: translateX(-50%);
            justify-content: space-between;
            align-items: flex-end;

            a {
                display: inline-block;
                color: $gray;
                font-weight: bold;
                width: 120px;
                text-align: center;

                .tit {
                    display: block;
                    font-size: 18px;
                }

                .number {
                    display: block;
                    width: 64px;
                    height: 64px;
                    background: $white;
                    text-align: center;
                    font-size: 24px;
                    padding: 14px 0 0;
                    border-radius: 50%;
                    margin: 15px auto 0;
                    border: 1px solid $gray;
                }

                &.active {
                    color: $primary-color;

                    .number {
                        border: 1px solid $primary-color;
                        background: $primary-color;
                        color: $white;
                    }
                }
            }
        }

        .process-ct {
            width: 890px;
            margin: 80px auto 40px;
        }
    }

    .button-bar {
        background: $white;
        margin: 20px auto 0;
        padding: 20px;
        text-align: right;

        a {
            display: inline-block;
            margin-left: 10px;
            font-size: 18px;
            //font-weight: bold;
        }

        &.first {
            margin-top: 0;
            margin-bottom: 150px;
        }
    }

    .giftcardlist {
    }

    .carditemlist {
        .item {
            display: inline-block;
            width: 25%;
            padding: 3px;
            border: 2px solid transparent;

            img {
                width: 100%;
            }

            &.active {
                border-color: $primary-color;
            }
        }
    }

    .customerinfo {

        .form-group {
            width: 100%;

            &:nth-child(2),
            &:nth-child(4),
            &:nth-child(6),
            &:nth-child(8),
            &:nth-child(10) {
                width: 50%;
                padding-right: 5px;
            }

            &:nth-child(3),
            &:nth-child(5),
            &:nth-child(7),
            &:nth-child(9),
            &:nth-child(11) {
                width: 50%;
                padding-left: 5px;
            }
        }
    }

    .checkoutinfo {
        .form-group {
            width: 100%;

            &:nth-child(2) {
                width: 50%;
                padding-right: 5px;
            }

            &:nth-child(3) {
                width: 50%;
                padding-left: 5px;
            }
        }
    }
}
/*#endregion*/
/*#region .item-*/
/*#endregion*/
@media screen and (min-width: 1920px) {
}

@media screen and (min-width: 1200px) {
    /*#region index*/
    /*#endregion*/
}

@media screen and (max-width: 1280px) {
}

@media screen and (max-width: 1024px) {
    /*#region index*/
    /*#endregion*/
}

@media screen and (max-width: 980px) {
}

@media screen and (max-width: 768px) {
    /*#region giftcard-page*/
    #gifcard-page {
        .process-container {

            .processbar {
                width: 100%;
                padding: 0 20px;
            }

            .process-ct {
                width: 100%;
                margin: 80px auto 40px;
            }
        }


        .carditemlist {
            .item {
                width: calc(100% / 3);
            }
        }
    }
    /*#endregion*/
}

@media screen and (max-width: 650px) {
}

@media screen and (max-width: 450px) {
    /*#region giftcard-page*/
    #gifcard-page {
        .process-container {
            .processbar {
                padding: 0;

                a {
                    width: calc(100% / 4);

                    .tit {
                        font-size: 12px;
                    }

                    .number {
                        width: 32px;
                        height: 32px;
                        font-size: 14px;
                        padding: 5px 0 0;
                        margin: 10px auto 0;
                    }
                }
            }

            .process-ct {
                margin: 40px auto 40px;
            }
        }

        .button-bar {
            a {
                font-size: 14px;
            }

            &.first {
                margin-top: 0;
                margin-bottom: 100px;
            }
        }

        .carditemlist {
            .item {
                width: calc(50%);
            }
        }

        .customerinfo {

            .form-group {
                width: 100%;

                &:nth-child(2),
                &:nth-child(4),
                &:nth-child(6),
                &:nth-child(8),
                &:nth-child(10) {
                    width:100%;
                    padding-right: 0px;
                }

                &:nth-child(3),
                &:nth-child(5),
                &:nth-child(7),
                &:nth-child(9),
                &:nth-child(11) {
                    width: 100%;
                    padding-left: 0px;
                }
            }
        }
    }
    /*#endregion*/
}

@media screen and (max-width: 375px) {
}

@media screen and (max-width: 360px) {
    /*#region product*/
    /*#endregion*/
}

@media screen and (max-width: 320px) {
}

/*------------------------------------*\
  STYLE FIX ALL BROWSER
\*------------------------------------*/

/*#region firefox*/
@-moz-document url-prefix() {
    /*Code is here*/
}
/*#endregion*/

/*#region ie*/
@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
}
/*#endregion*/
